Subject: The Windows port does not support datagram sockets

From: Juanma Barranquero <[email-masked]>
Date: Fri, 23 Sep 2011 14:12:54 +0200

Package: emacs
Severity: wishlist

This is not new. Datagram sockets were unreliable on Windows and were
disabled in 2006, during the 22.1 pretest.

Kim: "Unfortunately, I just discovered (by reading the code) that
datagram support is severely broken on Windows -- it can send
datagrams, but not receive them reliably. So datagram support should
probably be disabled too."

Stefan: "I don't know of any elisp code that uses datagram sockets, so
it's not a big deal, is it?"

(To which I would add: well, I would've programmed an elisp RADIUS
server long ago if datagrams were available on Windows, but still...)